WAITFORDOORBELLINT(9)

NAME
WaitForDoorbellInt - Wait for IOC to set its doorbell interrupt bit

SYNOPSIS

int WaitForDoorbellInt(MPT_ADAPTER * ioc, int howlong, int sleepFlag);

ARGUMENTS

ioc
    Pointer to MPT_ADAPTER structure

howlong
    How long to wait (in seconds)

sleepFlag
    Specifies whether the process can sleep

DESCRIPTION

This routine waits (up to ~2 seconds max) for IOC doorbell interrupt (MPI_HIS_DOORBELL_INTERRUPT) to be set in the IntStatus register.

Returns a negative value on failure, else wait loop count.

COPYRIGHT